peej

Members
  • Content Count

    2
  • Joined

  • Last visited

  1. I have installed correct headers. And tried to build v4l2loopback again and get below message failed. What's wrong with me ? -------------------------------------------- root@nanopineo2:/usr/src# apt-get install --reinstall v4l2loopback-dkms Reading package lists... Done Building dependency tree Reading state information... Done 0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 1 not upgraded. Need to get 0 B/23.1 kB of archives. After this operation, 0 B of additional disk space will be used. (Reading database ... 53947 files and directories currently installed.) Preparing to unpack .../v4l2loopback-dkms_0.10.0-1ubuntu1_all.deb ... -------- Uninstall Beginning -------- Module: v4l2loopback Version: 0.10.0 Kernel: 4.19.25-sunxi64 (aarch64) ------------------------------------- Status: Before uninstall, this module version was ACTIVE on this kernel. v4l2loopback.ko: - Uninstallation - Deleting from: /lib/modules/4.19.25-sunxi64/updates/dkms/ - Original module - No original module was found for this module on this kernel. - Use the dkms install command to reinstall any previous module version. depmod.... DKMS: uninstall completed. ------------------------------ Deleting module version: 0.10.0 completely from the DKMS tree. ------------------------------ Done. Unpacking v4l2loopback-dkms (0.10.0-1ubuntu1) over (0.10.0-1ubuntu1) ... Setting up v4l2loopback-dkms (0.10.0-1ubuntu1) ... Loading new v4l2loopback-0.10.0 DKMS files... Building for 4.19.25-sunxi64 Building initial module for 4.19.25-sunxi64 Error! Bad return status for module build on kernel: 4.19.25-sunxi64 (aarch64) Consult /var/lib/dkms/v4l2loopback/0.10.0/build/make.log for more information. root@nanopineo2:/usr/src# cd linux-headers-4.19.25-sunxi64/ root@nanopineo2:/usr/src/linux-headers-4.19.25-sunxi64# make scripts root@nanopineo2:/usr/src/linux-headers-4.19.25-sunxi64# root@nanopineo2:/usr/src/linux-headers-4.19.25-sunxi64# apt-get install --reinstall v4l2loopback-dkms Reading package lists... Done Building dependency tree Reading state information... Done 0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 1 not upgraded. Need to get 0 B/23.1 kB of archives. After this operation, 0 B of additional disk space will be used. (Reading database ... 53947 files and directories currently installed.) Preparing to unpack .../v4l2loopback-dkms_0.10.0-1ubuntu1_all.deb ... ------------------------------ Deleting module version: 0.10.0 completely from the DKMS tree. ------------------------------ Done. Unpacking v4l2loopback-dkms (0.10.0-1ubuntu1) over (0.10.0-1ubuntu1) ... Setting up v4l2loopback-dkms (0.10.0-1ubuntu1) ... Loading new v4l2loopback-0.10.0 DKMS files... Building for 4.19.25-sunxi64 Building initial module for 4.19.25-sunxi64 Error! Bad return status for module build on kernel: 4.19.25-sunxi64 (aarch64) Consult /var/lib/dkms/v4l2loopback/0.10.0/build/make.log for more information. root@nanopineo2:/usr/src/linux-headers-4.19.25-sunxi64#
  2. I have read other thread regarding v4l2loopback kernel module installation. I got same problem like this message below ========================================= ------------------------------ Deleting module version: 0.10.0 completely from the DKMS tree. ------------------------------ Done. Unpacking v4l2loopback-dkms (0.10.0-1) over (0.10.0-1) ... Setting up v4l2loopback-dkms (0.10.0-1) ... Loading new v4l2loopback-0.10.0 DKMS files... dpkg: warning: version '3.4.113-sun8i 4.19.25' has bad syntax: invalid character in revision number Building for 4.19.20-sunxi64 Module build for kernel 4.19.20-sunxi64 was skipped since the kernel headers for this kernel does not seem to be installed. =================================== I am usng Nano PI neo2 with armbian 4.19.20. When I install the kernel-headers using armbian-config, the version of kernel-headers installed is 4.19.25. Either the kernel source I have installed using armbian-config is 4.19.25. I just guess the version mistach doesn't make me succeed build of v4l2loopback. But I can't figure out what to do with this error. Please give me some comment.